Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfShading

    java.lang.Object
      com.lowagie.text.pdf.PdfShading

    public class PdfShading

extends Object

Implements the shading dictionary (or stream).

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`protected boolean` | `antiAlias` Holds value of property antiAlias.
`protected float[]` | `bBox` Holds value of property bBox.
`protected ColorDetails` | `colorDetails`
`private Color` | `cspace`
`protected PdfDictionary` | `shading`
`protected PdfName` | `shadingName`
`protected PdfIndirectReference` | `shadingReference`
`protected int` | `shadingType`
`protected PdfWriter` | `writer`

Constructor Summary
`protected` | `PdfShading(PdfWriter writer)` Creates new PdfShading

Method Summary
`(package private) void` | `addToBody()`
`static void` | `checkCompatibleColors(Color c1, Color c2)`
`float[]` | `getBBox()`
`static float[]` | `getColorArray(Color color)`
`(package private) ColorDetails` | `getColorDetails()`
`Color` | `getColorSpace()`
`(package private) PdfName` | `getShadingName()`
`(package private) PdfIndirectReference` | `getShadingReference()`
`(package private) PdfWriter` | `getWriter()`
`boolean` | `isAntiAlias()`
`void` | `setAntiAlias(boolean antiAlias)`
`void` | `setBBox(float[] bBox)`
`protected void` | `setColorSpace(Color color)`
`(package private) void` | `setName(int number)`
`static PdfShading` | `simpleAxial(PdfWriter writer, float x0, float y0, float x1, float y1, Color startColor, Color endColor)`
`static PdfShading` | `simpleAxial(PdfWriter writer, float x0, float y0, float x1, float y1, Color startColor, Color endColor, boolean extendStart, boolean extendEnd)`
`static PdfShading` | `simpleRadial(PdfWriter writer, float x0, float y0, float r0, float x1, float y1, float r1, Color startColor, Color endColor)`
`static PdfShading` | `simpleRadial(PdfWriter writer, float x0, float y0, float r0, float x1, float y1, float r1, Color startColor, Color endColor, boolean extendStart, boolean extendEnd)`
`static void` | `throwColorSpaceError()`
`static PdfShading` | `type1(PdfWriter writer, Color colorSpace, float[] domain, float[] tMatrix, PdfFunction function)`
`static PdfShading` | `type2(PdfWriter writer, Color colorSpace, float[] coords, float[] domain, PdfFunction function, boolean[] extend)`
`static PdfShading` | `type3(PdfWriter writer, Color colorSpace, float[] coords, float[] domain, PdfFunction function, boolean[] extend)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shading

    protected PdfDictionary shading

### writer

    protected PdfWriter writer

### shadingType

    protected int shadingType

### colorDetails

    protected ColorDetails colorDetails

### shadingName

    protected PdfName shadingName

### shadingReference

    protected PdfIndirectReference shadingReference

### cspace

    private Color cspace

### bBox

    protected float[] bBox

  Holds value of property bBox.

### antiAlias

    protected boolean antiAlias

  Holds value of property antiAlias.

Constructor Detail

### PdfShading

    protected PdfShading(PdfWriter writer)

  Creates new PdfShading

Method Detail

### setColorSpace

    protected void setColorSpace(Color color)

### getColorSpace

    public Color getColorSpace()

### throwColorSpaceError

    public static void throwColorSpaceError()

### checkCompatibleColors

    public static void checkCompatibleColors(Color c1,
                                             Color c2)

### getColorArray

    public static float[] getColorArray(Color color)

### type1

    public static PdfShading type1(PdfWriter writer,
                                   Color colorSpace,
                                   float[] domain,
                                   float[] tMatrix,
                                   PdfFunction function)

### type2

    public static PdfShading type2(PdfWriter writer,
                                   Color colorSpace,
                                   float[] coords,
                                   float[] domain,
                                   PdfFunction function,
                                   boolean[] extend)

### type3

    public static PdfShading type3(PdfWriter writer,
                                   Color colorSpace,
                                   float[] coords,
                                   float[] domain,
                                   PdfFunction function,
                                   boolean[] extend)

### simpleAxial

    public static PdfShading simpleAxial(PdfWriter writer,
                                         float x0,
                                         float y0,
                                         float x1,
                                         float y1,
                                         Color startColor,
                                         Color endColor,
                                         boolean extendStart,
                                         boolean extendEnd)

### simpleAxial

    public static PdfShading simpleAxial(PdfWriter writer,
                                         float x0,
                                         float y0,
                                         float x1,
                                         float y1,
                                         Color startColor,
                                         Color endColor)

### simpleRadial

    public static PdfShading simpleRadial(PdfWriter writer,
                                          float x0,
                                          float y0,
                                          float r0,
                                          float x1,
                                          float y1,
                                          float r1,
                                          Color startColor,
                                          Color endColor,
                                          boolean extendStart,
                                          boolean extendEnd)

### simpleRadial

    public static PdfShading simpleRadial(PdfWriter writer,
                                          float x0,
                                          float y0,
                                          float r0,
                                          float x1,
                                          float y1,
                                          float r1,
                                          Color startColor,
                                          Color endColor)

### getShadingName

    PdfName getShadingName()

### getShadingReference

    PdfIndirectReference getShadingReference()

### setName

    void setName(int number)

### addToBody

    void addToBody()
             throws IOException

  Throws:
    `IOException`

### getWriter

    PdfWriter getWriter()

### getColorDetails

    ColorDetails getColorDetails()

### getBBox

    public float[] getBBox()

### setBBox

    public void setBBox(float[] bBox)

### isAntiAlias

    public boolean isAntiAlias()

### setAntiAlias

    public void setAntiAlias(boolean antiAlias)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD